
#Add instructions

import simple

def Run(text):
    parser = simple.new()
    result = parser.parse(text)
    return result

if __name__ == '__main__':
    try: import readline
    except: pass

    print 'Press return on an empty line to exit.'
    text = raw_input('Expression: ')
    while text:
        result = Run(text)
        print text,'=',result
        print
        text = raw_input('Expression: ')
